curl -X GET "https://t.ato2.nodesms.com/v1/models" \
-H "Authorization: Bearer $API_KEY"
from openai import OpenAI
client = OpenAI(
api_key="sk-xxxxx",
base_url="https://t.ato2.nodesms.com/v1"
)
models = client.models.list()
print(models)
{
"object": "list",
"data": [
{
"id": "string",
"object": "model",
"created": 0,
"owned_by": "string"
}
]
}
{
"error": {
"message": "string",
"type": "string",
"param": null,
"code": null
}
}
Models
Get the list of currently available models. Native OpenAI format.
GET
/
v1
/
models
curl -X GET "https://t.ato2.nodesms.com/v1/models" \
-H "Authorization: Bearer $API_KEY"
from openai import OpenAI
client = OpenAI(
api_key="sk-xxxxx",
base_url="https://t.ato2.nodesms.com/v1"
)
models = client.models.list()
print(models)
{
"object": "list",
"data": [
{
"id": "string",
"object": "model",
"created": 0,
"owned_by": "string"
}
]
}
{
"error": {
"message": "string",
"type": "string",
"param": null,
"code": null
}
}
The return format is automatically determined by the request headers:
- Returns Anthropic format when the
x-api-keyandanthropic-versionheaders are present - Returns Gemini format when the
x-goog-api-keyheader orkeyquery parameter is present - Returns OpenAI format in all other cases
Headers
string
required
Bearer token authentication. Format:
Authorization: Bearer sk-xxxxxxstring
Anthropic API Key (for Claude format)
string
Anthropic API version
string
Google API Key (for Gemini format)
Query Parameters
string
Google API Key (for Gemini format)
Response
200 Successfully retrieved model list
Format:application/json
string
Object type
object[]
401 Authentication failed
Format:application/json
object
curl -X GET "https://t.ato2.nodesms.com/v1/models" \
-H "Authorization: Bearer $API_KEY"
from openai import OpenAI
client = OpenAI(
api_key="sk-xxxxx",
base_url="https://t.ato2.nodesms.com/v1"
)
models = client.models.list()
print(models)
{
"object": "list",
"data": [
{
"id": "string",
"object": "model",
"created": 0,
"owned_by": "string"
}
]
}
{
"error": {
"message": "string",
"type": "string",
"param": null,
"code": null
}
}
Last modified on October 28, 2026
Was this page helpful?